package com.ss.android.ugc.aweme.ecommerce.pdp.repository.dto;

import X.CJA;
import X.CJE;
import X.M12;
import android.os.Parcel;
import android.os.Parcelable;
import com.bytedance.covode.number.Covode;
import com.google.gson.a.c;
import java.util.Objects;

public final class FlashSaleReminderButton implements Parcelable {
    public static final Parcelable.Creator<FlashSaleReminderButton> CREATOR = new CJA();
    public static final CJE LJII = new CJE((byte) 0);
    @c(LIZ = "status")
    public final Integer LIZ;
    @c(LIZ = "activity_code")
    public final String LIZIZ;
    @c(LIZ = "event_id")
    public final String LIZJ;
    @c(LIZ = "tab_id")
    public final String LIZLLL;
    @c(LIZ = "product_id")
    public final String LJ;
    @c(LIZ = "encoded_param")
    public final String LJFF;
    @c(LIZ = "event_name")
    public final String LJI;

    static {
        Covode.recordClassIndex(71492);
    }

    private Object[] LIZ() {
        return new Object[]{this.LIZ, this.LIZIZ, this.LIZJ, this.LIZLLL, this.LJ, this.LJFF, this.LJI};
    }

    public final int describeContents() {
        return 0;
    }

    public final boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (!(obj instanceof FlashSaleReminderButton)) {
            return false;
        }
        return M12.LIZ(((FlashSaleReminderButton) obj).LIZ(), LIZ());
    }

    public final int hashCode() {
        return Objects.hash(LIZ());
    }

    public final String toString() {
        return M12.LIZ("FlashSaleReminderButton:%s,%s,%s,%s,%s,%s,%s", LIZ());
    }

    public final void writeToParcel(Parcel parcel, int i) {
        int i2;
        M12.LIZ(parcel);
        Integer num = this.LIZ;
        if (num != null) {
            parcel.writeInt(1);
            i2 = num.intValue();
        } else {
            i2 = 0;
        }
        parcel.writeInt(i2);
        parcel.writeString(this.LIZIZ);
        parcel.writeString(this.LIZJ);
        parcel.writeString(this.LIZLLL);
        parcel.writeString(this.LJ);
        parcel.writeString(this.LJFF);
        parcel.writeString(this.LJI);
    }

    public FlashSaleReminderButton(Integer num, String str, String str2, String str3, String str4, String str5, String str6) {
        M12.LIZ(str2, str3);
        this.LIZ = num;
        this.LIZIZ = str;
        this.LIZJ = str2;
        this.LIZLLL = str3;
        this.LJ = str4;
        this.LJFF = str5;
        this.LJI = str6;
    }
}
